Name: 		liquidwar
Version: 	5.6.4
Release: 	%mkrel 13
Summary:	Unique multiplayer wargame
License:	GPLv2+
Group:		Games/Arcade
Source0:	http://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.gz
Patch0:		liquidwar-5.6.4-desktop-file-fix.patch
Patch1:		liquidwar-5.6.4-fix-str-fmt.patch
Patch2:		liquidwar-5.6.4-fix-linking-issue.patch
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
URL: 		http://www.ufoot.org/liquidwar/v5

BuildRequires:	python-devel
# Main allegro4 package contains dev tools
BuildRequires:	allegro4
BuildRequires:	allegro4-devel
# for buildinfo files
BuildRequires:	texinfo

%description
Liquid War is a wargame. But it is different from common wargames.

When playing Liquid War, one has to eat one's opponent. There can be from
2 to 6 players. There are no weapons, the only thing you have to do is to
move a cursor in a 2-D battlefield. This cursor is followed by your army,
which is composed by a great many little fighters. Fighters are represented
by small colored squares. All the fighters who have the same color belong
to the same team. One very often controls several thousands fighters at the
same time. And when fighters from different teams meet, they eat each
other, it is as simple as that.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0

# do not strip the binaries please
sed -i 's/install\(\s\+-c\)\?\s\+-s/install/g' Makefile.in

%build
autoconf
%configure2_5x \
  --disable-doc-pdf \
  --disable-doc-ps \
%ifnarch %ix86
  --disable-asm \
%endif

%make_build

%install
perl -pi -e 's#install_custom_texture install_icon install_gpl#install_custom_texture #' Makefile
%make_install

# icons
install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

rm -rf %{buildroot}%{_datadir}/doc/liquidwar %{buildroot}%{_datadir}/pixmaps

# remove unused links
rm -rf %{buildroot}%{_bindir}

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files
%doc COPYING README doc/html/*.html
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}/
%{_mandir}/man6/*
%{_infodir}/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*


%changelog
* Fri Mar 17 2017 akien <akien> 5.6.4-13.mga6
+ Revision: 1093404
- BR allegro4 which contains necessary dev tools
- Rebuild against allegro4

* Mon Feb 15 2016 umeabot <umeabot> 5.6.4-12.mga6
+ Revision: 961281
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 daviddavid <daviddavid> 5.6.4-11.mga6
+ Revision: 892993
- do not strip debug files to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 5.6.4-10.mga5
+ Revision: 749662
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.6.4-9.mga5
+ Revision: 681956
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 5.6.4-8.mga4
+ Revision: 507506
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 5.6.4-7.mga3
+ Revision: 358864
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 12 2011 stormi <stormi> 5.6.4-6.mga2
+ Revision: 123480
- increase release so that it's higher than in Mageia 1

* Tue Jun 14 2011 zezinho <zezinho> 5.6.4-5.mga2
+ Revision: 106024
- imported package liquidwar

